<?php


use ceLTIc\LTI\DataConnector;
use ceLTIc\LTI;
class ConexionLti
{
    function __constructor()
    {

    }
    function conectarLti()
    {
        try
        {
            $dbServer = "localhost";
            $dbUser = "tiempoma_raiz";
            $dbPassword = "3g61fpzwk53n";
            $dbSchema = "tiempoma_lti_database1";
            if (!($db = mysqli_connect($dbServer, $dbUser, $dbPassword)))
            {
                echo "Error conectando a la base de datos.";
                exit();
            }
            if (!mysqli_select_db($db,$dbSchema))
            {
                echo "Error seleccionando la base de datos, verifique que el nombre de usuario utilizado este asociado a la base de datos.";
                exit();
            }
            $dataConnector = DataConnector\DataConnector::getDataConnector($db);
            $platform = LTI\Platform::fromConsumerKey('c256473-g56v-f425-lti.iadb.org', $dataConnector);
            $platform->name = 'bid_proyect_lti_id';
            $platform->secret = '06iabd21';
            $platform->debugMode= true;
            $platform->enabled = true;
            $platform->save();
            $platform->handleRequest();
            $parametros = $platform->getrawParameters();
            return $parametros;
        }
        catch (Exception $e)
        {
            throw $e;
        }
    }

}